"""
rescore refiner assignments

Revision ID: 2461400c2efc
Revises: 3e89c3746b56
Create Date: 2018-12-05 15:42:02.196093

"""
from alembic import op

# revision identifiers, used by Alembic.
revision = '2461400c2efc'
down_revision = '3e89c3746b56'
branch_labels = None
depends_on = None


def upgrade():
    op.execute("""
UPDATE assignment
SET answer = jsonb_set(answer, '{refiner_force_rescore}', to_jsonb(now()))
WHERE id IN (
    SELECT a.id
    FROM
        task t
        JOIN assignment a ON a.task_id = t.id
    WHERE
        t.annotation_app_id = 'a05be309-1999-45ac-845d-f66eb76ebeba' AND
        a.answer IS NOT NULL AND
        a.status IN ('Approved', 'Submitted') AND
        t.sandbox = FALSE AND
        t.qualification_for_id IS NOT NULL
)
    """)


def downgrade():
    pass
